package com.bytedance.ies.xelement.reveal;

import X.0HH;
import X.LCR;
import com.bytedance.covode.number.Covode;
import com.lynx.react.bridge.Callback;
import com.lynx.react.bridge.ReadableMap;

public class LynxRevealInnerRight$$MethodInvoker implements LCR<LynxRevealInnerRight> {
    static {
        Covode.recordClassIndex(32569);
    }

    public void invoke(LynxRevealInnerRight lynxRevealInnerRight, String str, ReadableMap readableMap, Callback callback) {
        try {
            int hashCode = str.hashCode();
            if (hashCode != -357431021) {
                if (hashCode == 1908871954) {
                    if (str.equals("scrollIntoView")) {
                        lynxRevealInnerRight.scrollIntoView(readableMap);
                        return;
                    }
                }
            } else if (str.equals("boundingClientRect")) {
                lynxRevealInnerRight.boundingClientRect(readableMap, callback);
                return;
            }
            callback.invoke(new Object[]{3});
        } catch (Exception e) {
            0HH.LIZ(e);
            throw new RuntimeException("invokeMethod error: " + str + "\n" + e.toString());
        }
    }
}
